public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/sigar/
Date: Mon,  1 Nov 2021 06:08:25 +0000 (UTC)	[thread overview]
Message-ID: <1635746902.c8114be20f923956a9ce69ea77d5c20871cb2bfe.graaff@gentoo> (raw)

commit:     c8114be20f923956a9ce69ea77d5c20871cb2bfe
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Nov  1 06:02:33 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Nov  1 06:08:22 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8114be2

dev-ruby/sigar: EAPI 8; add ruby30; fix extension install

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/sigar/sigar-0.7.3-r1.ebuild | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/dev-ruby/sigar/sigar-0.7.3-r1.ebuild b/dev-ruby/sigar/sigar-0.7.3-r1.ebuild
new file mode 100644
index 00000000000..887ece67957
--- /dev/null
+++ b/dev-ruby/sigar/sigar-0.7.3-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_TEST=""
+RUBY_FAKEGEM_EXTRADOC="README"
+RUBY_FAKEGEM_EXTENSIONS=(bindings/ruby/extconf.rb)
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="System Information Gatherer And Reporter"
+HOMEPAGE="http://sigar.hyperic.com/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND+=" || ( <sys-libs/glibc-2.26 net-libs/libtirpc )"
+
+all_ruby_prepare() {
+	sed -i -e '25i$CFLAGS += " -std=gnu89 -I/usr/include/tirpc"' \
+		-e '25i$LDFLAGS += " -ltirpc"' bindings/ruby/extconf.rb || die
+
+	# Fix compatibility with glibc 2.25
+	sed -i -e '26i#include <sys/sysmacros.h>' \
+		-e '27i#include <ctype.h>' bindings/ruby/rbsigar.c src/os/linux/linux_sigar.c || die
+}


             reply	other threads:[~2021-11-01  6:08 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-11-01  6:08 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-03-26 10:42 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/sigar/ Hans de Graaff
2022-04-19  5:09 Hans de Graaff
2021-11-24 10:25 Hans de Graaff
2020-01-05  9:15 Hans de Graaff
2019-01-20 10:17 Hans de Graaff
2018-05-21 11:50 Hans de Graaff
2018-04-27  9:03 Hans de Graaff
2018-02-17  7:34 Hans de Graaff
2017-12-03 14:10 Hans de Graaff
2017-10-21  5:59 Hans de Graaff
2016-12-11 17:33 Hans de Graaff
2016-04-29  7:36 Hans de Graaff
2016-04-29  7:36 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1635746902.c8114be20f923956a9ce69ea77d5c20871cb2bfe.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox